xapian-core 1.4.29

Classes | Namespaces | Enumerations | Functions
queryparser.h File Reference

parsing a user query string to build a Xapian::Query object More...

## Classes
class | Xapian::Stopper
| Abstract base class for stop-word decision functor. More...
class | Xapian::SimpleStopper
| Simple implementation of Stopper class - this will suit most users. More...
class | Xapian::RangeProcessor
| Base class for range processors. More...
class | Xapian::DateRangeProcessor
| Handle a date range. More...
class | Xapian::NumberRangeProcessor
| Handle a number range. More...
class | Xapian::ValueRangeProcessor
| Base class for value range processors. More...
class | Xapian::StringValueRangeProcessor
| Handle a string range. More...
class | Xapian::DateValueRangeProcessor
| Handle a date range. More...
class | Xapian::NumberValueRangeProcessor
| Handle a number range. More...
class | Xapian::FieldProcessor
| Base class for field processors. More...
class | Xapian::QueryParser
| Build a Xapian::Query object from a user query string. More...

## Namespaces
namespace | Xapian
| The Xapian namespace contains public interfaces for the Xapian library.

## Enumerations
enum | { RP_SUFFIX = 1 , RP_REPEATED = 2 , RP_DATE_PREFER_MDY = 4 }

## Functions
std::string | Xapian::sortable_serialise (double value)
| Convert a floating point number to a string, preserving sort order.
double | Xapian::sortable_unserialise (const std::string &serialised)
| Convert a string encoded using sortable_serialise back to a floating point number.

## Detailed Description

parsing a user query string to build a Xapian::Query object